Get OAuth installation URL
curl --request POST \
--url https://api.wirespeed.co/v1/integration/oauth/url \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"name": "<string>",
"value": "<string>"
}
],
"externalRedirect": "<string>",
"integrationId": "<string>"
}
'import requests
url = "https://api.wirespeed.co/v1/integration/oauth/url"
payload = {
"fields": [
{
"name": "<string>",
"value": "<string>"
}
],
"externalRedirect": "<string>",
"integrationId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [{name: '<string>', value: '<string>'}],
externalRedirect: '<string>',
integrationId: '<string>'
})
};
fetch('https://api.wirespeed.co/v1/integration/oauth/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}{
"message": "<string>",
"statusCode": 123
}Integration
Get OAuth installation URL
POST
/
v1
/
integration
/
oauth
/
url
Get OAuth installation URL
Query Parameters
Available options:
acronis, admin-by-request, agger-labs, anthropic, aws, axonius, bitwarden, box, checkpoint-firewall, checkpoint-harmony, cisco-catalyst, cisco-duo, cisco-meraki, cisco-secure-access, cisco-umbrella, connectwise-psa, crowdstrike-falcon, cyberark, darktrace, dfir-iris, email, exium, fleet-dm, fortianalyzer, fortinet, freshservice, generic-json, generic-syslog, github, google-alert-center, google-chronicle, google-directory, google-security-center, halcyon, halo-itsm, have-i-been-pwned, horizon3, hyas-protect, ipinfo, jamf-internet-security, jamf-pro, jamf-protect, jira-cloud, jira-data-center, jumpcloud, kandji, manage-engine-ad-audit-plus, microsoft, microsoft-entra, microsoft-teams, microsoft-teams-v2, mimecast, netskope, ninjaone, odoo-helpdesk, okta, one-password, onelogin, openai, orca-security, pager-duty, palo-alto-networks-cortex, palo-alto-ngfw, perception-point, picus, ping-one, proofpoint, reversing-labs, safebreach, sandfly, sentinel-one, service-now, slack, sms, smtp, sonic-wall, sophos, splunk, stairwell, sublime-security, tenable-nessus, thinkst-canary, tracebit, unifi, vectra, watchguard-firebox, windows-event-logs, wirespeed, wiz, wordfence, zabbix, zscaler-zpa Body
application/json
Retention period for raw data ingested by the integration
Available options:
THIRTY_DAYS, NINETY_DAYS, ONE_YEAR Integration configuration fields
Show child attributes
Show child attributes
External URL to redirect to after OAuth completes instead of the default callback
Existing integration to reconnect/update. When set, the OAuth callback updates this integration by id instead of matching on identity fields, so reconnecting from a specific integration always targets that row.
Response
URL for the integration endpoint

